net.corda.core.crypto

## Class CompositeKey.Builder

- net.corda.core.crypto.CompositeKey.Builder

- Enclosing class:
    CompositeKey

      public static class CompositeKey.Builder

  A helper class for building a `class CompositeKey.Node`.

  See Also:
    `class CompositeKey.Node`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()` A helper class for building a `class CompositeKey.Node`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CompositeKey.Builder` | `addKey(CompositeKey key, int weight)` Adds a child `class CompositeKey` node. Specifying a weight for the child is optional and will default to 1.
    `CompositeKey.Builder` | `addKeys(net.corda.core.crypto.CompositeKey keys)`
    `CompositeKey.Builder` | `addKeys(java.util.List<? extends net.corda.core.crypto.CompositeKey> keys)`
    `CompositeKey.Node` | `build(java.lang.Integer threshold)` Builds the `class CompositeKey.Node`. If threshold is not specified, it will default to the size of the children, effectively generating an "N of N" requirement.

- - ### Constructor Detail

    - #### Builder

          public Builder()

      A helper class for building a `class CompositeKey.Node`.

      See Also:
        `class CompositeKey.Node`

  - ### Method Detail

    - #### addKey

          public CompositeKey.Builder addKey(CompositeKey key,
                                             int weight)

      Adds a child `class CompositeKey` node. Specifying a weight for the child is optional and will default to 1.

      See Also:
        `class CompositeKey`

    - #### addKeys

          public CompositeKey.Builder addKeys(net.corda.core.crypto.CompositeKey keys)

    - #### addKeys

          public CompositeKey.Builder addKeys(java.util.List<? extends net.corda.core.crypto.CompositeKey> keys)

    - #### build

          public CompositeKey.Node build(java.lang.Integer threshold)

      Builds the `class CompositeKey.Node`. If threshold is not specified, it will default to the size of the children, effectively generating an "N of N" requirement.

      See Also:
        `class CompositeKey.Node`